Skip to main content
GET
/
transactions
List transactions
curl --request GET \
  --url https://api.fernhq.com/transactions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fernhq.com/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fernhq.com/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactions": [
    {
      "transactionId": "1d8beb26-b4d1-47ee-8e5d-0d3905f200c7",
      "customerId": "0423300f-ae6d-4e82-8afb-a3b430e22e29",
      "quoteId": "1d8beb26-b4d1-47ee-8e5d-0d3905f200c7",
      "transactionStatus": "PROCESSING",
      "source": {
        "sourceCurrency": {
          "label": "USDC",
          "chain": "ETHEREUM",
          "contractAddress": "0x123456789abcd123456789abcd123456789abcd",
          "currencyDecimals": 18
        },
        "sourcePaymentMethod": "ACH",
        "sourceAmount": "100.00",
        "sourcePaymentAccountId": "072a8b7b-38c7-429a-a6cf-35dae7f2fb77",
        "sourceReferenceId": "0x5332ee2726b7a1b818447d116f81af3be3518a801fb229ebf43e563c0ac4b4bc"
      },
      "destination": {
        "destinationPaymentAccountId": "072a8b7b-38c7-429a-a6cf-35dae7f2fb77",
        "destinationPaymentMethod": "ETHEREUM",
        "destinationCurrency": {
          "label": "USDC",
          "chain": "ETHEREUM",
          "contractAddress": "0x123456789abcd123456789abcd123456789abcd",
          "currencyDecimals": 18
        },
        "exchangeRate": "1.2",
        "destinationAmount": "100",
        "destinationReferenceId": "0x5332ee2726b7a1b818447d116f81af3be3518a801fb229ebf43e563c0ac4b4bc"
      },
      "fees": {
        "feeCurrency": {
          "label": "USDC",
          "chain": "ETHEREUM",
          "contractAddress": "0x123456789abcd123456789abcd123456789abcd",
          "currencyDecimals": 18
        },
        "fernFee": {
          "feeAmount": "5.45",
          "feeUSDAmount": "5.45"
        },
        "developerFee": {
          "feeAmount": "5.45",
          "feeUSDAmount": "5.45"
        }
      },
      "createdAt": "2023-08-01T12:00:00Z",
      "updatedAt": "2023-08-01T12:00:00Z",
      "correlationId": "03b7030f-6da1-4e76-3352-3debd82112c8",
      "transferInstructions": {
        "type": "fiat",
        "transferMessage": "Payment for order #12345",
        "transferBankName": "First National Bank",
        "transferBankAddress": "123 Bank St, Finance City",
        "transferBankAccountNumber": "987654321",
        "transferRoutingNumber": "123456789",
        "transferBankBeneficiaryName": "John Doe",
        "transferIban": "GB29NWBK60161331926819",
        "transferBicSwift": "DEUTDEFF",
        "transferIfscCode": "SBIN0005943",
        "transferSortCode": "40-47-36",
        "transferBsbNumber": "082-902",
        "transferTransitNumber": "12345",
        "transferBankCode": "001",
        "transferClabeNumber": "002010077777777771",
        "transferRoutingCode": "ROUT1234",
        "transferBranchCode": "0001",
        "transferClearingCode": "110000",
        "transferCnapsCode": "102033003330",
        "transferNubanCode": "1234567890",
        "transferPixCode": "user@bank.com",
        "transferPaymentLink": "https://secure.payzen.lat/t/paxsz1d7"
      },
      "expiresAt": "2023-08-01T12:05:00Z"
    }
  ],
  "nextPageToken": "ZDE4YmViMjYtYjRkMS00N2VlLThlNWQtMGQzOTA1ZjIwMGM3"
}

Authorizations

Authorization
string
header
required

To authenticate server-side requests

Query Parameters

pageToken
string

Token for forward pagination

pageSize
integer
default:10

Number of items per page (default: 10, max: 100)

Required range: x >= 1
customerId
string<uuid>

Customer to list transaction for

paymentAccountId
string<uuid>

Payment account to list transaction for

organizationId
string<uuid>

Organization to list transactions for

Response

Response schema for listing transactions with pagination

Response schema for listing transactions with pagination

transactions
Transactions · object[]

Retrieved transactions

nextPageToken
string

Token for fetching the next page of results

Example:

"ZDE4YmViMjYtYjRkMS00N2VlLThlNWQtMGQzOTA1ZjIwMGM3"